Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class ClientCertAuthenticator

    java.lang.Object
      org.mortbay.jetty.security.ClientCertAuthenticator

All Implemented Interfaces:
  java.io.Serializable, Authenticator

    public class ClientCertAuthenticator

extends java.lang.Object
implements Authenticator

Client Certificate Authenticator. This Authenticator uses a client certificate to authenticate the user. Each client certificate supplied is tried against the realm using the Principal name as the username and a string representation of the certificate as the credential.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`ClientCertAuthenticator()`

Method Summary
`java.security.Principal` | `authenticate(UserRealm realm, java.lang.String pathInContext, Request request, Response response)` Authenticate.
`java.lang.String` | `getAuthMethod()`
`int` | `getMaxHandShakeSeconds()`
`void` | `setMaxHandShakeSeconds(int maxHandShakeSeconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientCertAuthenticator

    public ClientCertAuthenticator()

Method Detail

### getMaxHandShakeSeconds

    public int getMaxHandShakeSeconds()

### setMaxHandShakeSeconds

    public void setMaxHandShakeSeconds(int maxHandShakeSeconds)

  Parameters:
    `maxHandShakeSeconds` - Maximum time to wait for SSL handshake if Client certification is required.

### authenticate

    public java.security.Principal authenticate(UserRealm realm,
                                                java.lang.String pathInContext,
                                                Request request,
                                                Response response)
                                         throws java.io.IOException

  Description copied from interface: `Authenticator`
  Authenticate.

  Specified by:
    `authenticate` in interface `Authenticator`
  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    UserPrinciple if authenticated or null if not. If Authentication fails, then the authenticator may have committed the response as an auth challenge or redirect.
  Throws:
    `java.io.IOException`

### getAuthMethod

    public java.lang.String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `Authenticator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.